Package org.apache.solr.client.solrj.io.eval

## Class RecursiveNumericEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.RecursiveEvaluator
  - - org.apache.solr.client.solrj.io.eval.RecursiveNumericEvaluator

All Implemented Interfaces:
  `Serializable`, `StreamEvaluator`, `ValueWorker`, `Expressible`

Direct Known Subclasses:
  `AbsoluteValueEvaluator`, `AddEvaluator`, `AkimaEvaluator`, `ArcCosineEvaluator`, `ArcSineEvaluator`, `ArcTangentEvaluator`, `BetaDistributionEvaluator`, `BinomialCoefficientEvaluator`, `BinomialDistributionEvaluator`, `CeilingEvaluator`, `ChebyshevDistanceEvaluator`, `ConstantDistributionEvaluator`, `ConversionEvaluator`, `ConvolutionEvaluator`, `CopyOfEvaluator`, `CopyOfRangeEvaluator`, `CosineEvaluator`, `CosineSimilarityEvaluator`, `CubedRootEvaluator`, `DescribeEvaluator`, `DivideEvaluator`, `DotProductEvaluator`, `EBEDivideEvaluator`, `EBEMultiplyEvaluator`, `EmpiricalDistributionEvaluator`, `EnumeratedDistributionEvaluator`, `EuclideanDistanceEvaluator`, `ExponentialMovingAverageEvaluator`, `FactorialEvaluator`, `FFTEvaluator`, `FindDelayEvaluator`, `FloorEvaluator`, `FrequencyTableEvaluator`, `GammaDistributionEvaluator`, `GaussFitEvaluator`, `GeometricDistributionEvaluator`, `HarmonicFitEvaluator`, `HistogramEvaluator`, `HyperbolicCosineEvaluator`, `HyperbolicSineEvaluator`, `HyperbolicTangentEvaluator`, `LerpEvaluator`, `LoessEvaluator`, `Log10Evaluator`, `LogNormalDistributionEvaluator`, `MeanDifferenceEvaluator`, `ModuloEvaluator`, `MovingAverageEvaluator`, `MovingMADEvaluator`, `MovingMedianEvaluator`, `MultiplyEvaluator`, `NaturalEvaluator`, `NaturalLogEvaluator`, `NormalDistributionEvaluator`, `OnesEvaluator`, `OscillateEvaluator`, `PairSortEvaluator`, `PercentileEvaluator`, `PoissonDistributionEvaluator`, `PolyFitDerivativeEvaluator`, `PolyFitEvaluator`, `PowerEvaluator`, `PrimesEvaluator`, `RankEvaluator`, `RecipEvaluator`, `RegressionEvaluator`, `RepeatEvaluator`, `RoundEvaluator`, `ScaleEvaluator`, `SequenceEvaluator`, `SineEvaluator`, `SplineEvaluator`, `SquareRootEvaluator`, `SubtractEvaluator`, `SumDifferenceEvaluator`, `TangentEvaluator`, `TriangularDistributionEvaluator`, `TTestEvaluator`, `UniformDistributionEvaluator`, `UniformIntegerDistributionEvaluator`, `WeibullDistributionEvaluator`, `ZerosEvaluator`, `ZipFDistributionEvaluator`

    public abstract class RecursiveNumericEvaluator
    extends RecursiveEvaluator

See Also:
  Serialized Form

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`constructingFactory, containedEvaluators, nodeId, streamContext`

### Constructor Summary

Constructors
`RecursiveNumericEvaluator​(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `normalizeInputType​(Object value)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`evaluate, getStreamContext, normalizeOutputType, recursivelyEvaluate, setStreamContext, toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.ValueWorker

`doWork`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### RecursiveNumericEvaluator

    public RecursiveNumericEvaluator​(StreamExpression expression,
                                     StreamFactory factory)
                              throws IOException

Throws:
  `IOException`

### Method Detail

#### normalizeInputType

    public Object normalizeInputType​(Object value)
                              throws StreamEvaluatorException

Overrides:
  `normalizeInputType` in class `RecursiveEvaluator`
Throws:
  `StreamEvaluatorException`